Security Lab

Уязвимость в реализации DTLS в OpenSSL

Дата публикации:12.10.2007
Дата изменения:01.07.2008
Всего просмотров:1702
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: OpenSSL 0.9.x
Уязвимые версии: OpenSSL версии до 0.9.8f

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за неизвестной ошибки в реализации DTLS. Удаленный пользователь может выполнить произвольный код на целевой системе.

Примечание: уязвимость существует только на системах, использующих DTLS.

URL производителя: www.openssl.org

Решение: Установите последнюю версию 0.9.8f с сайта производителя и пересоберите все приложения, использующие OpenSSL.